/// <reference types="node" />
export declare const version: string;
declare const _default: {
    WvuiButton: import("vue/types/vue").ExtendedVue<import("vue").default, unknown, {
        onClick(event: Event): void;
    }, {
        rootClasses: Record<string, boolean>;
    }, {
        action: import("../components/button/ButtonAction").ButtonAction;
        type: import("../components/button/ButtonType").ButtonType;
    }>;
    WvuiCheckbox: import("vue").ComponentOptions<import("vue").default, import("@vue/composition-api").ShallowUnwrapRef<{
        rootClasses: import("@vue/composition-api").ComputedRef<Record<string, boolean>>;
        input: import("@vue/composition-api").Ref<HTMLInputElement | undefined>;
        label: import("@vue/composition-api").Ref<HTMLLabelElement | undefined>;
        wrappedModel: import("@vue/composition-api").WritableComputedRef<import("../composables/useModelWrapper").ModelValue>;
        focusInput: () => void;
        clickLabel: () => void;
    }> & import("@vue/composition-api").Data, {}, {}, {
        modelValue: {
            type: (StringConstructor | BooleanConstructor | NumberConstructor | ArrayConstructor)[];
            default: boolean;
        };
        inputValue: {
            type: (StringConstructor | BooleanConstructor | NumberConstructor)[];
            default: boolean;
        };
        disabled: {
            type: BooleanConstructor;
            default: boolean;
        };
        indeterminate: {
            type: BooleanConstructor;
            default: boolean;
        };
        inline: {
            type: BooleanConstructor;
            default: boolean;
        };
    }, {
        modelValue: import("../composables/useModelWrapper").ModelValue;
        inputValue: string | number | boolean;
        disabled: boolean;
        indeterminate: boolean;
        inline: boolean;
    } & {}> & import("vue").VueConstructor<import("vue").default> & (new (...args: any[]) => import("@vue/composition-api").ComponentRenderProxy<{
        modelValue: import("../composables/useModelWrapper").ModelValue;
        inputValue: string | number | boolean;
        disabled: boolean;
        indeterminate: boolean;
        inline: boolean;
    } & {}, import("@vue/composition-api").ShallowUnwrapRef<{
        rootClasses: import("@vue/composition-api").ComputedRef<Record<string, boolean>>;
        input: import("@vue/composition-api").Ref<HTMLInputElement | undefined>;
        label: import("@vue/composition-api").Ref<HTMLLabelElement | undefined>;
        wrappedModel: import("@vue/composition-api").WritableComputedRef<import("../composables/useModelWrapper").ModelValue>;
        focusInput: () => void;
        clickLabel: () => void;
    }>, import("@vue/composition-api").Data, {}, {}, {
        modelValue: import("../composables/useModelWrapper").ModelValue;
        inputValue: string | number | boolean;
        disabled: boolean;
        indeterminate: boolean;
        inline: boolean;
    } & {}, {
        modelValue: import("../composables/useModelWrapper").ModelValue;
        inputValue: string | number | boolean;
        disabled: boolean;
        indeterminate: boolean;
        inline: boolean;
    }, true>);
    WvuiDropdown: import("vue").ComponentOptions<import("vue").default, import("@vue/composition-api").ShallowUnwrapRef<{
        prefixId: (suffix: string) => string;
    }> & {
        wvuiIconExpand: string;
        showMenu: boolean;
    }, {
        onKeyNavigation(event: KeyboardEvent): void;
        onClick(): void;
    }, {
        wrappedModel: {
            get(): string | null;
            set(newValue: string | null): void;
        };
        rootClasses(): Record<string, boolean>;
        menuId(): string;
        itemsById(): Record<string, import("../components/options-menu/OptionsMenuItem").OptionsMenuItem>;
        selectedItem(): import("../components/options-menu/OptionsMenuItem").OptionsMenuItem | null;
    }, {
        items: {
            type: import("@vue/composition-api").PropType<import("../components/options-menu/OptionsMenuItem").OptionsMenuItem[]>;
            required: true;
        };
        selectedItemId: {
            type: import("@vue/composition-api").PropType<string | null>;
            default: null;
        };
        defaultLabel: {
            type: StringConstructor;
            default: string;
        };
        disabled: {
            type: BooleanConstructor;
            default: boolean;
        };
    }, {
        disabled: boolean;
        selectedItemId: string | null;
        items: import("../components/options-menu/OptionsMenuItem").OptionsMenuItem[];
        defaultLabel: string;
    } & {}> & import("vue").VueConstructor<import("vue").default> & (new (...args: any[]) => import("@vue/composition-api").ComponentRenderProxy<{
        disabled: boolean;
        selectedItemId: string | null;
        items: import("../components/options-menu/OptionsMenuItem").OptionsMenuItem[];
        defaultLabel: string;
    } & {}, import("@vue/composition-api").ShallowUnwrapRef<{
        prefixId: (suffix: string) => string;
    }>, {
        wvuiIconExpand: string;
        showMenu: boolean;
    }, {
        wrappedModel: {
            get(): string | null;
            set(newValue: string | null): void;
        };
        rootClasses(): Record<string, boolean>;
        menuId(): string;
        itemsById(): Record<string, import("../components/options-menu/OptionsMenuItem").OptionsMenuItem>;
        selectedItem(): import("../components/options-menu/OptionsMenuItem").OptionsMenuItem | null;
    }, {
        onKeyNavigation(event: KeyboardEvent): void;
        onClick(): void;
    }, {
        disabled: boolean;
        selectedItemId: string | null;
        items: import("../components/options-menu/OptionsMenuItem").OptionsMenuItem[];
        defaultLabel: string;
    } & {}, {
        disabled: boolean;
        selectedItemId: string | null;
        defaultLabel: string;
    }, true>);
    WvuiInput: import("vue/types/vue").ExtendedVue<import("vue").default, Record<string, string | number | import("../components/icon/iconTypes").IconFlipForRtl | import("../components/icon/iconTypes").IconVariedByLang | import("../components/icon/iconTypes").IconVariedByDir>, {
        onInput(event: InputEvent): void;
        onChange(event: Event): void;
        onFocus(event: FocusEvent): void;
        onBlur(event: FocusEvent): void;
        onEndIconClick(): void;
        setCurrentValue(value: string | number): void;
    }, {
        isClearable: boolean;
        rootClasses: Record<string, boolean>;
        computedValue: string | number;
    }, {
        value: string | number;
        type: import("../components/input/InputType").InputType;
        disabled: boolean;
        startIcon: string | import("../components/icon/iconTypes").IconFlipForRtl | import("../components/icon/iconTypes").IconVariedByLang | import("../components/icon/iconTypes").IconVariedByDir | undefined;
        endIcon: string | import("../components/icon/iconTypes").IconFlipForRtl | import("../components/icon/iconTypes").IconVariedByLang | import("../components/icon/iconTypes").IconVariedByDir | undefined;
        clearable: boolean;
    }>;
    WvuiIcon: import("vue/types/vue").ExtendedVue<import("vue").default, Record<string, string>, {
        onClick(event: Event): void;
    }, {
        rootClasses: Record<string, boolean>;
        lacksTitle: boolean;
        iconPath: string;
    }, {
        icon: import("../components/icon/iconTypes").AnyIcon;
        iconTitle: any;
        langCode: string;
    }>;
    WvuiOptionsMenu: import("vue").ComponentOptions<import("vue").default, import("@vue/composition-api").ShallowUnwrapRef<{
        prefixId: (suffix: string) => string;
    }> & {
        activeItemIndex: number | null;
        highlightedItemIndex: number | null;
    }, {
        itemClasses(item: import("../components/options-menu/OptionsMenuItem").OptionsMenuItem, index: number): Record<string, boolean>;
        onItemMousedown(item: import("../components/options-menu/OptionsMenuItem").OptionsMenuItem, index: number): void;
        onItemClick(item: import("../components/options-menu/OptionsMenuItem").OptionsMenuItem): void;
        getSelectedItemIndex(): number | null;
        moveHighlight(direction: "backward" | "forward"): void;
        selectHighlightedItem(): void;
        handleKeyboardEvent(event: KeyboardEvent): void;
    }, {
        activeDescendantId(): string | null;
    }, {
        items: {
            type: import("@vue/composition-api").PropType<import("../components/options-menu/OptionsMenuItem").OptionsMenuItem[]>;
            required: true;
            validator: (items: unknown) => boolean;
        };
        selectedItemId: {
            type: import("@vue/composition-api").PropType<string | null>;
            default: null;
        };
    }, {
        selectedItemId: string | null;
        items: import("../components/options-menu/OptionsMenuItem").OptionsMenuItem[];
    } & {}> & import("vue").VueConstructor<import("vue").default> & (new (...args: any[]) => import("@vue/composition-api").ComponentRenderProxy<{
        selectedItemId: string | null;
        items: import("../components/options-menu/OptionsMenuItem").OptionsMenuItem[];
    } & {}, import("@vue/composition-api").ShallowUnwrapRef<{
        prefixId: (suffix: string) => string;
    }>, {
        activeItemIndex: number | null;
        highlightedItemIndex: number | null;
    }, {
        activeDescendantId(): string | null;
    }, {
        itemClasses(item: import("../components/options-menu/OptionsMenuItem").OptionsMenuItem, index: number): Record<string, boolean>;
        onItemMousedown(item: import("../components/options-menu/OptionsMenuItem").OptionsMenuItem, index: number): void;
        onItemClick(item: import("../components/options-menu/OptionsMenuItem").OptionsMenuItem): void;
        getSelectedItemIndex(): number | null;
        moveHighlight(direction: "backward" | "forward"): void;
        selectHighlightedItem(): void;
        handleKeyboardEvent(event: KeyboardEvent): void;
    }, {
        selectedItemId: string | null;
        items: import("../components/options-menu/OptionsMenuItem").OptionsMenuItem[];
    } & {}, {
        selectedItemId: string | null;
    }, true>);
    WvuiProgressBar: import("vue/types/vue").ExtendedVue<import("vue").default, unknown, unknown, unknown, Record<never, any>>;
    WvuiRadio: import("vue").ComponentOptions<import("vue").default, import("@vue/composition-api").ShallowUnwrapRef<{
        rootClasses: import("@vue/composition-api").ComputedRef<Record<string, boolean>>;
        input: import("@vue/composition-api").Ref<HTMLInputElement | undefined>;
        focusInput: () => void;
        wrappedModel: import("@vue/composition-api").WritableComputedRef<import("../composables/useModelWrapper").ModelValue>;
    }> & import("@vue/composition-api").Data, {}, {}, {
        modelValue: {
            type: (StringConstructor | BooleanConstructor | NumberConstructor | ArrayConstructor)[];
            default: boolean;
        };
        inputValue: {
            type: (StringConstructor | BooleanConstructor | NumberConstructor)[];
            default: boolean;
        };
        disabled: {
            type: BooleanConstructor;
            default: boolean;
        };
        name: {
            type: StringConstructor;
            default: string;
        };
        inline: {
            type: BooleanConstructor;
            default: boolean;
        };
    }, {
        name: string;
        modelValue: import("../composables/useModelWrapper").ModelValue;
        inputValue: string | number | boolean;
        disabled: boolean;
        inline: boolean;
    } & {}> & import("vue").VueConstructor<import("vue").default> & (new (...args: any[]) => import("@vue/composition-api").ComponentRenderProxy<{
        name: string;
        modelValue: import("../composables/useModelWrapper").ModelValue;
        inputValue: string | number | boolean;
        disabled: boolean;
        inline: boolean;
    } & {}, import("@vue/composition-api").ShallowUnwrapRef<{
        rootClasses: import("@vue/composition-api").ComputedRef<Record<string, boolean>>;
        input: import("@vue/composition-api").Ref<HTMLInputElement | undefined>;
        focusInput: () => void;
        wrappedModel: import("@vue/composition-api").WritableComputedRef<import("../composables/useModelWrapper").ModelValue>;
    }>, import("@vue/composition-api").Data, {}, {}, {
        name: string;
        modelValue: import("../composables/useModelWrapper").ModelValue;
        inputValue: string | number | boolean;
        disabled: boolean;
        inline: boolean;
    } & {}, {
        name: string;
        modelValue: import("../composables/useModelWrapper").ModelValue;
        inputValue: string | number | boolean;
        disabled: boolean;
        inline: boolean;
    }, true>);
    WvuiToggleButton: import("vue/types/vue").ExtendedVue<import("vue").default, unknown, {
        onClick(): void;
    }, {
        rootClasses: Record<string, boolean>;
    }, {
        isActive: boolean;
    }>;
    WvuiTypeaheadSearch: import("vue/types/vue").ExtendedVue<import("vue").default, {
        startIcon: string;
        articleIcon: string;
        isHovered: boolean;
        suggestionActiveIndex: number;
        suggestionsList: import("../components/typeahead-search/http/SearchClient").SearchResult[];
        isFocused: boolean;
        searchQuery: string;
        inputValue: string;
        InputType: typeof import("../components/input/InputType").InputType;
        isExpanded: boolean;
        request: import("../components/typeahead-search/http/SearchClient").AbortableSearchFetch | null;
        debounceId: NodeJS.Timeout | null;
    }, {
        isSuggestionSelected(index: number): string;
        updateSuggestions(query: string, suggestions: import("../components/typeahead-search/http/SearchClient").SearchResult[]): void;
        clearSuggestions(): void;
        onInput(value: string): void;
        onSuggestionMouseOver(index: number): void;
        onInputFocus(): void;
        onInputBlur(): void;
        onFooterHover(): void;
        onRootMouseOver(): void;
        onRootMouseOut(): void;
        onSuggestionMouseDown(event: MouseEvent): void;
        onSuggestionClick(suggestion?: import("../components/typeahead-search/http/SearchClient").SearchResult | undefined): void;
        onKeyDownUp(event: KeyboardEvent): void;
        onKeyDownDown(event: KeyboardEvent): void;
        handleKeyUpDown(event: KeyboardEvent, offset: number): void;
        nudgeActiveSuggestion(offset: number): void;
        onKeyDownEscape(event: KeyboardEvent): void;
        getSuggestionId(suggestion: import("../components/typeahead-search/http/SearchClient").SearchResult): string;
        onSubmit(event: Event): void;
    }, {
        rootClasses: Record<string, boolean>;
        footerClasses: Record<string, boolean>;
        footerUrl: string;
        isFooterActive: boolean;
        suggestionsId: string;
        activeSuggestionId: string;
        footerId: string;
        isExpandedString: string;
    }, {
        initialInputValue: string;
        buttonLabel: string;
        formAction: string;
        client: import("../components/typeahead-search/http/SearchClient").SearchClient;
        urlGenerator: import("../components/typeahead-suggestion/UrlGenerator").UrlGenerator;
        domain: string;
        searchPageTitle: string;
        suggestionsLabel: string;
        focused: boolean;
        id: string;
        showThumbnail: boolean;
        showDescription: boolean;
        highlightQuery: boolean;
        autoExpandWidth: boolean;
    }>;
    WvuiTypeaheadSuggestion: import("vue/types/vue").ExtendedVue<import("vue").default, {
        defaultThumbnailIcon: string;
    }, {
        onMouseOver(event: MouseEvent): void;
        onMouseDown(event: MouseEvent): void;
        onClick(event: MouseEvent): void;
    }, {
        rootClasses: Record<string, boolean>;
        suggestionWikiLink: string;
        thumbnailBackgroundImage: string;
    }, {
        active: boolean;
        articlePath: string;
        query: string;
        suggestion: import("../components/typeahead-search/http/SearchClient").SearchResult;
        searchPageTitle: string;
        urlGenerator: import("../components/typeahead-suggestion/UrlGenerator").UrlGenerator;
        showThumbnail: boolean;
        showDescription: boolean;
        highlightQuery: boolean;
    }>;
};
export default _default;
